=== debian/changelog ===
debiandoc-sgml (1.1.44) stable unstable; urgency=high

  * Well, it actually should have gone into stable iso frozen

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri,  6 Oct 2000 20:02:59 -0500

debiandoc-sgml (1.1.43) frozen unstable; urgency=high

  * Per request of Adam Di Carlo also uploaded to frozen (potato) to
    provide the boot floppies with Polish documentation and fix some
    problems with Russian documentation

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 13 Aug 2000 20:39:57 +0200

debiandoc-sgml (1.1.42) unstable; urgency=low

  * Reorganized source directory structure
  * Added Polish locale support (thanks Marcin!)
  * Format/HTML.pm: changed order of <TITLE> and <META> (following Bug#62700)
  * Format/HTML.pm: use File::Spec for path construction (closes: Bug#64372)
    (thanks Marcus!)
  * Format/*: moved SDATA maps into separate modules Map/*
  * Format/Driver.pm: added format based SDATA map require
  * Map/LaTeX.pm: changed guillemotleft and guillemotright into resp. '<<'
    and '>>' (closes: Bug#64515) (thanks David!)
  * bin/saspconvert: fixed strange code (closes: Bug#65723) (thanks Julian!)
  * bin/saspconvert2: moved functionality into format backends
  * bin/saspconvert2: removed
  * Makefile: updated to reflect removal of saspconvert2
  * man/debiandoc-sgml.1: updated to reflect removal of saspconvert2
  * Format/Text*: moved footnotes and comments to end of current section
    (closes: Bug#64922) (thanks Julian!)
  * Format/Text*: fixed footnote and comment alignment
  * Format/LaTeX.pm: use package footmisc to handle consecutive footnotes
  * Format/Texinfo.pm: removed unnecessary context check
  * Format/Driver.pm: removed obsolete variable 'stat'

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 13 Jul 2000 18:05:11 +0200

debiandoc-sgml (1.1.41) frozen unstable; urgency=low

  * Improved error handling in scripts (closes: Bug#60246) (thanks Josip!)
  * Added check in scripts to warn for overwriting already existing files
    (closes: Bug#60313) (thanks Josip!)
  * Fixed broken handling of <comment> (also combined with <footnote>)
    (closes: Bug#59032) (thanks Josip!)
  * Fixed broken handling of nested <taglist>s  
  * Format/LaTeX.pm: fixed broken cross-referencing (closes: Bug#61037)
    (thanks Ross!)
  * Format/LaTeX.pm: fixed broken handling of special characters
  * man/debiandoc-sgml.1: enhanced in various ways

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 27 Mar 2000 23:06:53 +0200

debiandoc-sgml (1.1.40) unstable; urgency=low

  * Fixed broken handling of <taglist> with multiple <tag>s per <item>
    (Closes: #37770) (thanks Adam!)
  * Format/LaTeX.pm: fixed still broken SDATA handling in <example>
    (thanks Dmitry!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 12 Jan 2000 21:18:06 +0100

debiandoc-sgml (1.1.39) unstable; urgency=low

  * Format/LaTeX.pm: fixed broken <appendix> handling (Closes: #54390)
    (thanks Dmitry!)
  * Format/HTML.pm: fixed broken SDATA handling (Closes: #54389) (thanks
    Dmitry and Fumitoshi UKAI!)
  * Locale/Alias.pm: changed ja_JP into ja_JP.eucJP (thanks Fumitoshi UKAI!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  9 Jan 2000 14:56:58 +0100

debiandoc-sgml (1.1.38) unstable; urgency=low

  * Format/Texinfo.pm: removed @strong from taglist items and improved
    dash handling (Closes: #51292) (thanks Jor-el!)
  * Format/Texinfo.pm: fixed indentation for subsubsections in toc
  * Format/Driver.pm: use much more Perl idiom
  * Format/LaTeX.pm: changed format to book to get better layout
  * Format/LaTeX.pm: fixed SDATA/CDATA incorrect handling in examples
    (Closes: #53556) (thanks James!)
  * scripts/*: made passing on of command line parameters consistent and
    complete 
  * debian/postinst: added old cruft removal (Closes: #51027) (thanks Joey!)
  * debian/control: moved all Perl modules needed for HTML output from
    'Recommends' to 'Depends' (Closes: #52191) (thanks Adam!)
  * debian/copyright: updated location of GPL
  * Updated all applicable copyright summaries to reflect new year
  * Upgraded to Debian Policy 3.1.1

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Jan 2000 18:41:56 +0100

debiandoc-sgml (1.1.37) unstable; urgency=low

  * Locale/Alias.pm: added 'ja_JP.ujis' and 'ja_JP.eucJP' (Closes: #49101)
    (thanks Masayuki Hatta!)
  * Locale/ja_JP/HTML: set 'charset' to 'euc-jp' (thanks Masayuki Hatta!)
  * Locale/pt*/LaTeX: corrected 'babel' value
  * Upgraded to Debian Policy 3.1.0

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 14 Nov 1999 22:12:38 +0100

debiandoc-sgml (1.1.36) unstable; urgency=low

  * Format/Text.pm: use Text::Format to keep long URLs from breaking
    (Closes: #33497) (thanks Adam!) and to get a double space after a
    full stop (thanks Martin!)
  * Format/[HTML,LaTeX,Texinfo].pm: use Text::Format to improve output
  * debian/control: 'Suggests' -> 'Recommends' (except for documentation)
    (Closes: #49136, #49144) (thanks David and Julian!)
  * debian/control: add missing 'texinfo' to 'Recommends'

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  8 Nov 1999 21:11:39 +0100

debiandoc-sgml (1.1.35) unstable; urgency=low

  * Added `editor' attribute to <comment> (Closes: #40231) (thanks Michael!)
  * Format/Driver.pm: improved consecutive footnote handling

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue,  2 Nov 1999 19:54:40 +0100

debiandoc-sgml (1.1.34) unstable; urgency=low

  * Closes: #14747
  * Format/*: various small things

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 31 Oct 1999 21:51:58 +0100

debiandoc-sgml (1.1.33) unstable; urgency=low

  * Removed following redundant scripts: debiandoc2dvi, debiandoc2dvips,
    debiandoc2latex2epdf, debiandoc2ps
  * Removed Lout output support
  * man/debiandoc-sgml.1: various small corrections

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 31 Oct 1999 13:25:39 +0100

debiandoc-sgml (1.1.32) unstable; urgency=low

  * debian/control: Depends: sgmlspm => libsgmls-perl, sgmlspl

