=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Standards-Version: 3.1.1
Build-Depends: debhelper

Package: debiandoc-sgml
Architecture: all
Depends: ${perl:Depends}, libsgmls-perl, sgmlspl, sgml-base, sgml-data, sp, libtext-format-perl, libi18n-langtags-perl, liburi-perl, libhtml-parser-perl
Recommends: libpaperg, tetex-bin, tetex-extra, texinfo
Suggests: debiandoc-sgml-doc
Description: DebianDoc SGML DTD and formatting tools
 This is an SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces DVI (via LaTeX),
 HTML, Info (via Texinfo), LaTeX, PostScript (via DVI), Texinfo, and
 plain text (with overstrikes a la troff as well as without) files.
 .
 The LaTeX based output needs the libpaperg, tetex-bin and tetex-extra
 packages.  The Texinfo based output needs the texinfo package.
