=== debian/changelog ===
debiandoc-sgml (1.1.67woody1) stable; urgency=low

  * debian/postinst: added invocation of 'install-sgmlcatalog --remove
    debiandoc-sgml' to clean up cruft potentially left over from the SGML
    catalog transition in a potato -> woody upgrade
    (closes: Bug#154737)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 24 Aug 2002 09:43:46 -0500

debiandoc-sgml (1.1.67) unstable; urgency=high

  * urgency set to 'high' to speed up getting into woody where it is
    needed to allow for the proper generation of the PDF version of the
    Debian Policy document and for the proper generation of documents
    written in Italian (e.g. Debian New Maintainer's Guide)
  * Format/LaTeX.pm: dropped inclusion of 'asmsymb' package for now
  * Map/LaTeX.pm: changed to reflect this drop
  * Format/LaTeX.pm: changed processing of the 'tilde' character to allow
    proper generation of documents written in Italian
    (closes: Bug#144177)
  * Format/LaTeX.pm: changed processing of the 'circumflex' character to
    allow proper generation of documents written in Spanish
  * Format/LaTeX.pm: changed to using the 'Palatino' and 'Helvetica' fonts
    to improve readability of PS and PDF documents
  * bin/debiandoc2{dvi,latexdvi,latexpdf,latexps,pdf,ps}: improved upon
    solution used to resolve bug #138368 (see version 1.1.60)
    (closes: Bug#144194)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 23 Apr 2002 23:14:32 -0500

debiandoc-sgml (1.1.66) unstable; urgency=high

  * urgency set to 'high' to speed up getting into woody where it is
    needed to build proper boot-floppies documentation
  * bin/debiandoc2latex{pdf,ps}: changed to generate output in bi-stable loop
    (closes: Bug#134701)
  * Map/LaTeX.pm: updated to support all character entities in Russian
  * Format/HTML.pm: fixed generating incomplete <link> targets

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 21 Apr 2002 19:28:53 -0500

debiandoc-sgml (1.1.65) unstable; urgency=low

  * Added support for ISO 8879:1986 character entities
    (closes: Bug#51746, Bug#72550, Bug#85475, Bug#142654)
  * Format/LaTeX.pm: dropped usage of 'Times' font to be able to support
    ISO 8879:1986 character entities properly
  * Locale/Alias.pm: fixed wrong mapping of locale 'gl_ES.ISO8859-1'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 14 Apr 2002 22:24:01 -0500

debiandoc-sgml (1.1.64) unstable; urgency=low

  * bin/debiandoc2info: changed to suppress too strict node checking
    (closes: Bug#140740)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  7 Apr 2002 16:45:40 -0500

debiandoc-sgml (1.1.63) unstable; urgency=low

  * Format/Text*: fixed handling of footnote and lists combinations
    (closes: Bug#113582)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  7 Apr 2002 10:45:45 -0500

debiandoc-sgml (1.1.62) unstable; urgency=low

  * Format/LaTeX.pm: fixed handling of '_' in URLs and paths
    (closes: Bug#99287)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  6 Apr 2002 17:23:08 -0600

debiandoc-sgml (1.1.61) unstable; urgency=low

  * bin/mkconversions: fixed small typo in script generation

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  6 Apr 2002 12:51:45 -0600

debiandoc-sgml (1.1.60) unstable; urgency=low

  * Added support for optional <link> tags in HTML output
    (closes: Bug#140677)
  * Added support for ...@euro locales
    (closes: Bug#138437)
  * bin/{debiandoc2*,template}: always return exit status of zero upon success
    (closes: Bug#138368)
  * Locale/fr_FR.ISO8859-1/HTML: fixed typo
    (closes: Bug#140962)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  6 Apr 2002 12:07:46 -0600

debiandoc-sgml (1.1.59) unstable; urgency=low

  * Format/Driver.pm: fixed wrong order of processing command line options
    and loading the corresponding backend modules, which resulted in
    default locales being used in the output format generation module
    (closes: Bug#138353)

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 14 Mar 2002 19:07:38 -0600

debiandoc-sgml (1.1.58) unstable; urgency=low

  * Format/Driver.pm: removed falling back on using user environment
    locale settings if option '-l' is not used (closes: Bug#76037)
  * man/debiandoc-sgml.1: updated to reflect this change in behaviour

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  3 Mar 2002 17:59:55 -0600

debiandoc-sgml (1.1.57) unstable; urgency=low

  * Format: revamped table of contents handling
  * bin/saspconvert: removed code made obsolete due to the above
  * bin/template:  removed obsolete 'toc' parameter
  * bin/mkconversions: removed obsolete 'toc' parameter
  * bin/conversions: removed obsolete 'toc' parameter
  * Format/HTML.pm: revamped navigation bar handling
  * Format/HTML.pm: added support for link elements (closes: Bug#135767)
  * Added support for a single HTML page (closes: Bug#31658, Bug#129413)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  3 Mar 2002 13:20:05 -0600

debiandoc-sgml (1.1.56) unstable; urgency=low

  * Format: revamped title page handling
  * bin/saspconvert: removed code made obsolete due to the above
  * Format/Texinfo.pm: fixed footnote handling (closes: Bug#129685)
  * Format/Texinfo.pm: dropped usage of 'Text::Format'
  * bin/debiandoc2latex[dvi,pdf,ps]: added check for used LaTeX styles
    (closes: Bug#127233)
  * debian/control: added dependency on 'debianutils'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 23 Feb 2002 18:57:18 -0600

debiandoc-sgml (1.1.55) unstable; urgency=low

  * bin/template: fixed handling of nsgmls options (closes: Bug#126914)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 29 Dec 2001 15:45:46 -0600

debiandoc-sgml (1.1.54) unstable; urgency=low

  * bin/debiandoc2latex{dvi,pdf,ps}: added -O option (= send output to stdout)
  * Added debiandoc2dvi
  * Added debiandoc2pdf
  * Added debiandoc2ps (closes: Bug#60094, Bug#61680)
  * debian/postinst: removed spurious old catalog removal comamnd

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 25 Dec 2001 16:50:20 -0600


