=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: text
 Priority: optional
 Maintainer: Ardo van Rangelrooij <ardo@debian.org>
-Standards-Version: 3.1.1
-Build-Depends: debhelper
+Standards-Version: 3.5.6
+Build-Depends-Indep: debhelper (>= 3.0.5)
 
 Package: debiandoc-sgml
+Section: text
+Priority: optional
 Architecture: all
-Depends: ${perl:Depends}, libsgmls-perl, sgmlspl, sgml-base, sgml-data, sp, libtext-format-perl, libi18n-langtags-perl, liburi-perl, libhtml-parser-perl
+Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libsgmls-perl, libtext-format-perl, liburi-perl, debianutils (>= 1.15), sgml-base (>= 1.10), sgml-data, sgmlspl, sp
 Recommends: libpaperg, tetex-bin, tetex-extra, texinfo
 Suggests: debiandoc-sgml-doc
 Description: DebianDoc SGML DTD and formatting tools
