=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,15 @@
 #!/usr/bin/make -f
 ## ----------------------------------------------------------------------
-## debian/rules : build and install script for debiandoc-sgml
+## debian/rules : package script for debiandoc-sgml
 ## ----------------------------------------------------------------------
 
 ## ----------------------------------------------------------------------
 ## uncomment this to turn on verbose mode
 #export DH_VERBOSE=1
+
+## ----------------------------------------------------------------------
+## use version 3
+export DH_COMPAT=3
 
 ## ----------------------------------------------------------------------
 ## targets
@@ -28,8 +32,9 @@
 		dh_testroot
 		dh_clean
 		dh_installdirs
-		$(MAKE) prefix=`pwd`/debian/tmp/usr install
-		dh_installdocs README
+		$(MAKE) install prefix=$(PWD)/debian/tmp/usr
+		dh_movefiles
+		dh_installdocs
 		dh_installchangelogs
 		dh_compress
 		dh_fixperms
