## debiandoc-sgml 1.1.83

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 man_dir		:= $(share_dir)/man
 endif
 ifeq ($(prefix),/usr/local)
-perl_version	:= 5.6.1
+perl_version	:= 5.8.2
 perl_dir	:= $(share_dir)/perl/$(perl_version)
 else
 perl_dir	:= $(share_dir)/perl5
