=== debian/changelog ===
debiandoc-sgml (1.1.83) unstable; urgency=low

  * Format/LaTeX.pm: fixed creation of invalid .tex code
    (closes: Bug#246056)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 26 Apr 2004 20:09:24 -0500

debiandoc-sgml (1.1.82) unstable; urgency=low

  * bin/debiandoc2latex{dvi,pdf,ps}: updated check for used LaTeX styles
    (partial fix for Bug#218529)
  * bin/{debiandoc2*,template}: updated to output error message to stderr
    (partial fix for Bug#218529)
  * bin/{debiandoc2*,template}: removed falling back on locale settings
    in environment variables locale settings if '-l' option is not used
  * Format/HTML.pm: fixed locale to language tag conversion
  * Locale: proper introduction of support for Euro-based locales
  * Locale/zh*: fixed translation errors
    (closes: Bug#231990)
  * Format/LaTeX.pm: added hyperref driver based on output format
    (partial fix for Bug#214249)
  * man/debiandoc-sgml.1: added proper spacing to options
  * debian/README.Debian: cosmetic updates
  * debian/TODO: updated
  * Updated all applicable copyright summaries to reflect new year

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 25 Apr 2004 09:54:57 -0500

debiandoc-sgml (1.1.81) unstable; urgency=low

  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1.75)'
    to get proper post and pre scripts generated per latest SGML practices
  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)
  * debian/TODO: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 18 Oct 2003 21:50:54 -0500

debiandoc-sgml (1.1.80) unstable; urgency=low

  * converted to 'dh_installcatalogs'
  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)
  * debian/TODO: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 11 Aug 2003 19:37:33 -0500

debiandoc-sgml (1.1.79) unstable; urgency=low

  * Locale/fr_FR.ISO8859-1/LaTeX: changed input encoding from 'latin1'
    to 'latin9'
    (closes: Bug#191766)
  * Locale/fr_FR.ISO8859-1/HTML: changed charset to 'iso-8859-15'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 18 May 2003 18:51:32 -0500

debiandoc-sgml (1.1.78) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.5.9 (no changes)
  * debian/debiandoc-sgml.prerm: also remove centralized catalog entry
    from supercatalog upon upgrade

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 29 Mar 2003 13:54:13 -0600

debiandoc-sgml (1.1.77) unstable; urgency=low

  * Added support for numbering style indication to <enumerate>
    (closes: Bug#145999)
  * Added support for numbering continuation indication to <enumerate>
    (closes: Bug#147623)
  * debian/control: added dependency on 'libroman-perl'

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 28 Mar 2003 23:36:52 -0600

debiandoc-sgml (1.1.76) unstable; urgency=low

  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * Implemented <translator>
    (closes: Bug#30734)

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 20 Mar 2003 20:16:40 -0600

debiandoc-sgml (1.1.75) unstable; urgency=low

  * Format/Texinfo.pm: added missing '}' in processing <ref>
    (closes: Bug#180564)
  * Locale: added locale for tr_TR.ISO8859-9
    (thanks to Murat Demirten)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 14 Feb 2003 21:49:32 -0600

debiandoc-sgml (1.1.74) unstable; urgency=low

  * debian/debiandoc-sgml.postinst: added '--quiet' flag to invocation of
    'install-sgmlcatalog'
  * debian/debiandoc-sgml.p*: made various small cosmetic comment changes
  * Format/HTML.pm: fixed incomplete href entry for last entry in toc
    (closes: Bug#178437)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 26 Jan 2003 17:42:13 -0600

debiandoc-sgml (1.1.73) unstable; urgency=low

  * Locale: added support for locale specific section heading format
    (closes: Bug#31266, Bug#34146, Bug#146157)
  * README: removed from binary package as it is intended for source only
  * debian/README.Debian: added with pointers to the documentation and the
    Debian SGML mailing list
    (closes: Bug#172299)
  * Format/HTML.pm: changed to generate intra-file links without filename
    (closes: Bug#169266)
  * bin/debiandoc2latexpdf: changed to use 'thumbpdf' to put thumbnail images
    of the pages in the generated PDF output file
    (closes: Bug#160632)
  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-indep' target
  * debian/control: upgraded to Debian Policy 3.5.8 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Dec 2002 20:50:05 -0600

debiandoc-sgml (1.1.72) unstable; urgency=low

  * debian/postinst: added invocation of 'install-sgmlcatalog --remove
    debiandoc-sgml' to clean up cruft potentially left over from the SGML
    catalog transition in a potato -> woody upgrade

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 24 Aug 2002 09:10:12 -0500

debiandoc-sgml (1.1.71) unstable; urgency=low

  * Format/HTML.pm: fixed not generating toplevel page when no table of
    contents present
    (closes: Bug#151831)
  * Format/HTML.pm: fixed generating extraneous empty lines around <hr>

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  8 Jul 2002 20:17:17 -0500

debiandoc-sgml (1.1.70) unstable; urgency=low

  * bin/debiandoc2{dvi,ps,pdf}: changed arithmetic expressions to
    facilitate backporting to potato
    (thanks Osamu)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 15 Jun 2002 14:27:22 -0500

debiandoc-sgml (1.1.69) unstable; urgency=low

  * debian/control: removed explicit and versioned dependency on
    'debianutils' to facilitate backporting to potato
    (thanks Jordi Mallach <jordi@debian.org>)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 25 May 2002 11:07:44 -0500


