## debiandoc-sgml 1.1.84

=== debian/changelog ===
debiandoc-sgml (1.1.84) unstable; urgency=high

  * Format/Driver.pm: fixed erroneous enum list item counter increase
    (closes: Bug#218879, Bug#240782), (partly fix for Bug#256076)
  * The urgency is set to high since various documentation packages will
    need to be rebuild and such now that this bug is fixed

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 19 Oct 2004 22:53:18 -0500
