=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: text
 Priority: optional
 Maintainer: Ardo van Rangelrooij <ardo@debian.org>
-Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper (>= 3.0.5)
+Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper (>= 4.1.75)
 
 Package: debiandoc-sgml
 Section: text
 Priority: optional
 Architecture: all
-Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libsgmls-perl, libtext-format-perl, liburi-perl, debianutils (>= 1.15), sgml-base (>= 1.10), sgml-data, sgmlspl, sp
+Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libroman-perl, libsgmls-perl, libtext-format-perl, liburi-perl, sgml-data, sgmlspl, sp, ${misc:Depends}
 Recommends: libpaperg, tetex-bin, tetex-extra, texinfo
 Suggests: debiandoc-sgml-doc
 Description: DebianDoc SGML DTD and formatting tools
