=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,17 @@
 #export DH_VERBOSE=1
 
 ## ----------------------------------------------------------------------
-## use version 3
-export DH_COMPAT=3
+TMP_DIR		= debian/tmp
 
 ## ----------------------------------------------------------------------
 ## targets
+
+clean:
+		dh_testdir
+		dh_testroot
+		[ ! -f Makefile ] || $(MAKE) clean
+		dh_clean
+		rm -f build-stamp install-stamp
 
 build:		build-stamp
 build-stamp:
@@ -20,22 +26,22 @@
 		$(MAKE) prefix=/usr
 		touch build-stamp
 
-clean:
+install:	install-stamp
+install-stamp:	build
 		dh_testdir
 		dh_testroot
-		$(MAKE) clean
-		dh_clean
-		rm -f build-stamp
+		dh_clean -k
+		dh_installdirs
+		$(MAKE) install prefix=$(PWD)/$(TMP_DIR)/usr
+		touch install-stamp
 
-binary-indep:	build
+binary-indep:	build install
 		dh_testdir
 		dh_testroot
-		dh_clean
-		dh_installdirs
-		$(MAKE) install prefix=$(PWD)/debian/tmp/usr
-		dh_movefiles
+		dh_install --sourcedir=$(TMP_DIR)
 		dh_installdocs
 		dh_installchangelogs
+		dh_installcatalogs
 		dh_compress
 		dh_fixperms
 		dh_installdeb
@@ -48,6 +54,6 @@
 
 binary:		binary-indep binary-arch
 
-.PHONY:		build clean binary-indep binary-arch binary
+.PHONY:		clean build install binary-indep binary-arch binary
 
 ## ----------------------------------------------------------------------
