## debiandoc-sgml 1.1.88

=== Makefile ===
--- 
+++ 
@@ -53,15 +53,14 @@
 ## ----------------------------------------------------------------------
 ## Package tools file definitions
 FORMATS		:= HTML LaTeX Texinfo Text TextOV
-SPECS		:= html latex texinfo text textov
+SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf docbookxml
 EXTS		:= html tex texinfo txt tov
 BCONVS		:= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
-PCONVS		:= $(dtd_name)2dvi $(dtd_name)2info $(dtd_name)2latexdvi \
-			$(dtd_name)2latexpdf $(dtd_name)2latexps \
-			$(dtd_name)2pdf $(dtd_name)2ps
+PSPECS		:= dvi ps pdf
+PCONVS		:= $(foreach spec,$(PSPECS),$(dtd_name)2$(spec))
 TOOLS		:= $(BCONVS) $(PCONVS)
 MAN1S		:= $(pkg_name)
-HELPERS		:= saspconvert
+HELPERS		:= saspconvert fixlatex
 
 ## ----------------------------------------------------------------------
 ## General (un)install definitions
@@ -73,6 +72,7 @@
 LN		:= /bin/ln -sf
 RM		:= /bin/rm -f
 RMDIR		:= /bin/rmdir -p --ignore-fail-on-non-empty
+DIFF		:= /usr//bin/diff -w -u
 
 ## ----------------------------------------------------------------------
 ## Targets
@@ -81,7 +81,7 @@
 bin:		$(foreach bconv,$(BCONVS),tools/bin/$(bconv))
 
 $(foreach bconv,$(BCONVS),tools/bin/$(bconv)): \
-		tools/bin/template tools/bin/conversions tools/bin/mkconversions
+		tools/bin/template tools/bin/mkconversions
 
 		set -e; \
 		cd tools/bin; \
@@ -142,9 +142,13 @@
 
 		set -e; \
 		$(INSTALL_DIR) $(bin_dir); \
-		for f in $(TOOLS); \
+		for f in $(BCONVS); \
 		do \
 			$(INSTALL_SCRIPT) tools/bin/$$f $(bin_dir); \
+		done
+		for f in $(PSPECS); \
+		do \
+			$(LN) $(dtd_name)2latex$$f $(bin_dir)/$(dtd_name)2$$f; \
 		done
 
 		set -e; \
@@ -227,8 +231,22 @@
 		done; \
 		$(RMDIR) $(pkg_dtd_dir)
 
+diff:		scripts.diff
+
+scripts.diff:	 $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
+
+		:> scripts.diff
+		for f in $(BCONVS); \
+		do \
+			g=/usr/bin/$$f ;\
+			if [ -e "$$g" ] ; then \
+			$(DIFF) $$g tools/bin/$$f >> scripts.diff || true ;\
+			fi ;\
+		done
+
 clean:
 
 		$(RM) $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
-
-## ----------------------------------------------------------------------
+		rm -f scripts.diff
+
+## ----------------------------------------------------------------------
