=== debian/changelog ===
debiandoc-sgml (1.1.88) unstable; urgency=high

  * Locale: added Romanian locale (closes: Bug#310885)
    (thanks to Dan Damian <dand@codemonkey.ro>) [jens]
  * Added notes about required packages to README [jens]

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 30 May 2005 17:40:17 -0500

debiandoc-sgml (1.1.87) unstable; urgency=low

  * Locale: added Basque locale (closes: Bug#303722)
    (thanks to Piarres Beobide Egaña <pi@beobide.net>) [jens]
   * Readd option -1 to debiandoc2ps to ensure compatibility with
     older build scripts. This deprecated feature may be removed again
     after sarge release (closes: #301684) (Thanks to Frank 
     Lichtenheld <djpig@debian.org>). [osamu] 

 -- Osamu Aoki <osamu@debian.org>  Fri, 15 Apr 2005 12:09:36 +0200

debiandoc-sgml (1.1.86) unstable; urgency=low

  * Reorganize source to generate all debiandoc2* files from a single
    template file. [osamu]
  * Add DocBook XML generation capability with new debiandoc2docbookxml
    command using Texinfo tool sets.  Updated manpage. [osamu]
  * Updated TODO list and README.Debian. [osamu]
  * Build script creates a diff files for generated debiandoc2* files as
    scripts.diff to help debug. [osamu]
  * Added support for Slovenian (closes: Bug#291481) [jens]
  * Added option -s to debiandoc2latexdvi, debiandoc2latexps
    debiandoc2latexpdf, debiandoc2info, and  debiandoc2docbookxml to
    specify the script for the post processing of the generated .tex and
    .texinfo files (closes: Bug#202317) [jens, osamu]
  * Added PS/PDF support for Japanese, Chinese and Korean based on
    fixlatex script from Debian Reference (closes: Bug#202315, Bug#214249)
    (compare Bug#207810) [jens]
  * debian/control: Added to Recommends: [jens]
     gs-esp | gs: required for PDF's thumbnail generation.
     cjk-latex: required for Chinese and Japanese PS/PDF.
     hlatex: required for Korean PS/PDF.
  * Use $PAPERSIZE instead of $PAPERCONF to set paper size
    (closes: Bug#286537) [jens]
  * Added a missing space in LaTeX output after "..."
    (closes: Bug#244625) [jens]
  * Minor translation fix for German copyright string. [jens]
  * Use "ngerman" language option instead of "german" for using new German
    orthography in LaTeX formats [jens]
  * debian/control: added 'Jens Seidel <tux-master@web.de>' to
    'Uploaders' [ardo] 

 -- Osamu Aoki <osamu@debian.org>  Mon, 21 Feb 2005 21:57:45 +0100

debiandoc-sgml (1.1.85) unstable; urgency=low

  * debian/control:
    * changed 'Maintainer' to 'DebianDoc-SGML Pkgs
      <debiandoc-sgml-pkgs@lists.alioth.debian.org>'
    * added current maintainer and Osamu Aoki as 'Uploaders'

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 10 Feb 2005 22:29:13 -0600
