=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Ardo van Rangelrooij <ardo@debian.org>, Osamu Aoki <osamu@debian.org>, Jens Seidel <tux-master@web.de>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.75)

Package: debiandoc-sgml
Section: text
Priority: optional
Architecture: all
Depends: ${perl:Depends}, libhtml-parser-perl, libi18n-langtags-perl, libroman-perl, libsgmls-perl, libtext-format-perl, liburi-perl, sgml-data, sgmlspl, sp, ${misc:Depends}
Recommends: libpaperg, tetex-bin, tetex-extra, texinfo, cjk-latex, hlatex, gs-esp | gs
Suggests: debiandoc-sgml-doc
Description: DebianDoc SGML DTD and formatting tools
 This is an SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces HTML, LaTeX, DVI 
 (via LaTeX), PostScript (via LaTeX/DVI), PDF (via LaTeX), Texinfo,
 Info (via Texinfo), DocBook XML (via Texinfo), plain text (with
 overstrikes a la troff as well as without) files.
 .
 The LaTeX based output needs the libpaperg, tetex-bin and tetex-extra
 packages.  In addition to this, Chinese and Japanese need cjk-latex and 
 corresponding font packages while Korean needs hlatex and corresponding 
 font packages. The Texinfo based output needs the texinfo package. 
 .
 Homepage: http://alioth.debian.org/projects/debiandoc-sgml/
