=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 		[ ! -f Makefile ] || $(MAKE) clean
 		dh_clean
 		rm -f build-stamp install-stamp
+		rm -f scripts.diff
 
 build:		build-stamp
 build-stamp:
@@ -26,8 +27,12 @@
 		$(MAKE) prefix=/usr
 		touch build-stamp
 
+diff:		scripts.diff
+scripts.diff:	build-stamp
+	        $(MAKE) scripts.diff prefix=/usr
+
 install:	install-stamp
-install-stamp:	build
+install-stamp:	build diff
 		dh_testdir
 		dh_testroot
 		dh_clean -k
@@ -54,6 +59,6 @@
 
 binary:		binary-indep binary-arch
 
-.PHONY:		clean build install binary-indep binary-arch binary
+.PHONY:		clean build install binary-indep binary-arch binary diff
 
 ## ----------------------------------------------------------------------
