## debiandoc-sgml 1.1.94

=== Makefile ===
--- 
+++ 
@@ -53,8 +53,9 @@
 ## ----------------------------------------------------------------------
 ## Package tools file definitions
 FORMATS		:= HTML LaTeX Texinfo Text TextOV
-SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf docbookxml
-EXTS		:= html tex texinfo txt tov
+XFORMATS	:= SGML XML
+SPECS		:= html latex texinfo text textov info latexdvi latexps latexpdf xml sgml docbookxml
+EXTS		:= html tex texinfo txt tov xml sgml
 BCONVS		:= $(foreach spec,$(SPECS),$(dtd_name)2$(spec))
 PSPECS		:= dvi ps pdf
 PCONVS		:= $(foreach spec,$(PSPECS),$(dtd_name)2$(spec))
@@ -125,6 +126,14 @@
 				$(INSTALL_FILE) $$d/$$f $(pkg_locale_dir)/`basename $$d`; \
 			done; \
 		done
+		for d in `ls -d tools/lib/Locale/*_*`; \
+		do \
+			$(INSTALL_DIR) $(pkg_locale_dir)/`basename $$d`; \
+			for f in $(XFORMATS); \
+			do \
+				$(INSTALL_FILE) tools/lib/Locale/$$f $(pkg_locale_dir)/`basename $$d`; \
+			done; \
+		done
 
 		set -e; \
 		$(INSTALL_DIR) $(pkg_map_dir); \
@@ -204,6 +213,15 @@
 			done; \
 			$(RMDIR) $(pkg_locale_dir)/$$d; \
 		done; \
+		for d in `ls -d $(pkg_locale_dir)/*_*`; \
+		do \
+			d=`basename $$d`; \
+			for f in $(XFORMATS); \
+			do \
+				$(RM) $(pkg_locale_dir)/$$d/$$f; \
+			done; \
+			$(RMDIR) $(pkg_locale_dir)/$$d; \
+		done; \
 		for f in `ls $(pkg_locale_dir)/*.pm`; \
 		do \
 			$(RM) $$f; \
@@ -233,6 +251,7 @@
 
 diff:		scripts.diff
 
+# chack script changes against instal;lled version if exists
 scripts.diff:	 $(foreach bconv,$(BCONVS),tools/bin/$(bconv))
 
 		:> scripts.diff
