=== debian/changelog ===
debiandoc-sgml (1.1.94) unstable; urgency=low

  * Modified LaTeX.pm to load textcomp.sty with force option in order
    to convince it that Palatino *really* has a currency symbol under
    teTeX 3.0. The force option only restores the behavior under
    teTeX-2.0.2, and it has been checked that this gave correct output.
    (closes: Bug#338376) [per frank@debian.org]
  * Fixed an syntax error in this changelog for version 1.1.11 [jens]

 -- Osamu Aoki <osamu@debian.org>  Sun,  1 Jan 2006 12:04:05 +0900

debiandoc-sgml (1.1.93) unstable; urgency=medium

  * Avoid using dvips option -z if it fails such as for Debian Reference's
    zh_CN dvi file (closes: Bug#341849). [jens]

 -- Osamu Aoki <osamu@debian.org>  Mon, 03 Dec 2005 18:25:12 +0900

debiandoc-sgml (1.1.92) unstable; urgency=low

  * Fixed bogus horizontal line in the list in HTML 
    (closes: Bug#256076)
  * Provided default value of -d option to be
    /usr/share/sgml/debiandoc/dtd/sgml/1.0/debiandoc.dcl
    (closes: Bug#213332)
  * Close all wontfix-type wishlist bugs. 
    (closes: Bug#63318, Bug#137998, Bug#140684, Bug#141727, Bug#235793)
  * Updated TODO and README.Debian files.

 -- Osamu Aoki <osamu@debian.org>  Sat, 15 Oct 2005 20:32:51 +0900

debiandoc-sgml (1.1.91) unstable; urgency=low

  * Made generated XML source to be valid XML code.

 -- Osamu Aoki <osamu@debian.org>  Mon, 10 Oct 2005 18:25:12 +0900

debiandoc-sgml (1.1.90) unstable; urgency=low

  * Renamed old info based debiandoc2xml script to 
    debiandoc2docbookxml and marked as deprecated.
  * Added debiandoc2sgml and debiandoc2xml scrips which convert
    directly to formatted SGML and XML.
  * Made HTML conversion to produce XHTML code (closes: Bug#188117)

 -- Osamu Aoki <osamu@debian.org>  Mon, 10 Oct 2005 00:06:42 +0900

debiandoc-sgml (1.1.89) unstable; urgency=low

  * Fixed LaTeX code to produce DVI output even if pdfTeX is the engine
    behind LaTeX, needed to cooperate with teTeX-3.0 (closes: Bug#321942)
    (thanks to Frank Küster <frank@debian.org>) [jens]
  * Use -z option of dvips to obtain valid links if ps2pdf is applied on
    PostScript files (see Bug#321942) [jens]

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 10 Aug 2005 02:40:17 +0200
